/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Catheterization Devices
 */
public enum EnumCM_CatheterizationDevices {

	//CID 3429 Catheterization Devices
	INTRA_AORTIC_BALLOON_PUMP_IABP("Intra-Aortic Balloon Pump (IABP)"),
	FLUID_FILLED_CATHETER("Fluid filled catheter"),
	FIBEROPTIC_CATHETER("Fiberoptic catheter"),
	HALL_CATHETER("Hall catheter"),
	THERMISTOR_CATHETER("Thermistor catheter"),
	TIP_MANOMETER("Tip manometer"),
	SWANN_GANZ_CATHETER("Swann-Ganz catheter"),
	SHEATH("Sheath"),
	TRANSSEPTAL_CATHETER("Transseptal catheter"),
	BIOPTOME("Bioptome");
	
	private String value;
	
	EnumCM_CatheterizationDevices(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
